summaryrefslogtreecommitdiffstats
path: root/office/mairix
diff options
context:
space:
mode:
author Javier Rojas <jerojasro@gmail.com>2010-05-11 20:01:50 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:50 +0200
commitfe6cff0fe4103393ee5833d714cde551aa4549c6 (patch)
treed85e5757f9aa7e0582ede4881e7a943033742d30 /office/mairix
parent200615ba4b08265a6af43a06879fd2bfca950e34 (diff)
downloadslackbuilds-fe6cff0fe4103393ee5833d714cde551aa4549c6.tar.gz
slackbuilds-fe6cff0fe4103393ee5833d714cde551aa4549c6.tar.xz
office/mairix: Added to 12.0 repository
Diffstat (limited to 'office/mairix')
-rw-r--r--office/mairix/README15
-rw-r--r--office/mairix/mairix.SlackBuild81
-rw-r--r--office/mairix/mairix.info8
-rw-r--r--office/mairix/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/office/mairix/README b/office/mairix/README
new file mode 100644
index 0000000000..2bbac9a8f1
--- /dev/null
+++ b/office/mairix/README
@@ -0,0 +1,15 @@
+mairix is a program for indexing and searching email messages stored in Maildir
+(see the documentation section below), MH or mbox folders.
+
+Some features:
+ * Indexing is fast. It runs incrementally on new messages - any particular
+ message only gets scanned once in the lifetime of the index file.
+ * The search mode populates a "virtual" maildir (or MH) folder with symlinks
+ which point to the real messages. This folder can be opened as usual in
+ your mail program. (Note, if messages are in mbox folders, copies are
+ made. Similarly if the virtual folder has mbox format, it is filled with
+ copies of the matched messages.)
+ * The search mode is very fast.
+ * Indexing and searching works on the basis of words. The index file
+ tabulates which words occur in which parts (particular headers + body) of
+ which messages.
diff --git a/office/mairix/mairix.SlackBuild b/office/mairix/mairix.SlackBuild
new file mode 100644
index 0000000000..7a1d4a5ee7
--- /dev/null
+++ b/office/mairix/mairix.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for mairix
+
+# Copyright 2007 Javier Rojas <jerojasro@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=mairix
+VERSION=0.21
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ACKNOWLEDGEMENTS INSTALL COPYING NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/mairix/mairix.info b/office/mairix/mairix.info
new file mode 100644
index 0000000000..27e855d036
--- /dev/null
+++ b/office/mairix/mairix.info
@@ -0,0 +1,8 @@
+PRGNAM="mairix"
+VERSION="0.21"
+HOMEPAGE="http://www.rpcurnow.force9.co.uk/mairix/"
+DOWNLOAD="http://prdownloads.sourceforge.net/mairix/mairix-0.21.tar.gz?download"
+MD5SUM="821619895931711c370f51f3442a0ded"
+MAINTAINER="Javier Rojas"
+EMAIL="jerojasro@gmail.com"
+APPROVED="rworkman"
diff --git a/office/mairix/slack-desc b/office/mairix/slack-desc
new file mode 100644
index 0000000000..36defb112d
--- /dev/null
+++ b/office/mairix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mairix: mairix (program for indexing and searching email messages)
+mairix:
+mairix: mairix is a program for indexing and searching email messages
+mairix: stored in Maildir, MH, or mbox folders.
+mairix:
+mairix: Homepage: http://www.rpcurnow.force9.co.uk/mairix/
+mairix:
+mairix:
+mairix:
+mairix:
+mairix: